@vertex
fn vs_main(@builtin(vertex_index) ix: u32) -> @builtin(position) vec4<f32> {
    var x: f32;
    var y: f32;
    // (-1, 1), (-1, -1), (1, -1), (1, 1), (-1, 1), triangle strip.
    if ix == u32(2) || ix == u32(3) {
        x = 1.0;
    } else {
        x = -1.0;
    }
    if ix == u32(1) || ix == u32(2) {
        y = -1.0;
    } else {
        y = 1.0;
    }
    return vec4<f32>(x, y, 0.0, 1.0);
}
